Subject: Re: bug#73738: 30.0.91; eshell-xtra substitute bad keyword argument

From: Jim Porter <[email-masked]>
Date: Sun, 27 Oct 2024 21:21:14 -0700

On 10/27/2024 3:15 AM, Eli Zaretskii wrote:
>> From: Christopher Howard <[email-masked]>
>> Date: Thu, 10 Oct 2024 15:10:40 -0800
>>
>>
>> (same problem occurs using emacs -Q)
>> 1. [enable eshell-xtra module in eshell-modules-list]
>> 2. [start new instance of eshell]
>> 3. substitute ?E ?e beginning <return>
>>
>> This throws error "Bad keyword argument equal".
>>
> Jim, is this in your queue?

I've been debating what to do about these functions. They're not enabled 
by default and don't seem very useful to me. I guess most other people 
don't find them useful either, since I think this bug has been present 
unnoticed for 24 years now.

It might be best to obsolete em-xtra.el (or improve these functions to 
be more useful?), but until I decide what to do here, let's just fix the 
bug.

That's now done in ea685170063, so closing this.